#ifndef ASSUMA_CUSTOMFIELDITEM_H
#define ASSUMA_CUSTOMFIELDITEM_H

#include <QtCore/QObject>
#include <QtCore/QString>
#include <QtCore/QMap>

class CustomFieldItem : public QObject
{
	Q_OBJECT
	public:
		CustomFieldItem(QObject *parent = 0) : QObject(parent) {
			m_cfs.empty();
		};
		QString id() { return m_cfs.value("id"); };
		QString label() { return m_cfs.value("label"); };
		QString type() { return m_cfs.value("type"); };
		QString extraString() { return m_cfs.value("extra_string"); };
	public slots:
		void setId(const QString & data) { m_cfs.insert("id",data);};
		void setType(const QString & data) { m_cfs.insert("type",data);};
		void setLabel(const QString & data) { m_cfs.insert("label",data);};
		void setExtraString(const QString & data) { m_cfs.insert("extra_string",data);};
	private:
		QMap<QString,QString> m_cfs;
};

#endif
